> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/getfarmboost.md).

# GET /farm-boost

Returns current farm boost, avg farm boost, and boosted volume

`GET https://api.aevo.xyz/farm-boost`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/farm-boost \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Farm Boost

| Field                         | Type           | Required | Description                                                                                                 |
| ----------------------------- | -------------- | -------- | ----------------------------------------------------------------------------------------------------------- |
| `farm_boost`                  | string         | Yes      | Farming boost Example: `12.23`                                                                              |
| `farm_boost_avg`              | string         | Yes      | Farming boost average Example: `12.23`                                                                      |
| `last_rare_farm_boost`        | string         | Yes      | Timestamp of last rare farm boost Example: `12.23`                                                          |
| `epoch_volume`                | string         | Yes      | Trading notional volume in USD terms for current epoch. Example: `1234.56`                                  |
| `epoch_boosted_volume`        | string         | Yes      | Boosted trading notional volume in USD terms for current epoch. Example: `1234.56`                          |
| `boosted_volume`              | string         | Yes      | Boosted trading notional volume in USD terms. Example: `1234.56`                                            |
| `trailing_volume`             | string         | Yes      | Trailing volume in past x days in USD terms. Example: `1234.56`                                             |
| `prev_epoch_aevo_earned`      | string         | Yes      | Aevo earned from previous epochs Example: `1234.56`                                                         |
| `curr_epoch_aevo_earned`      | string         | Yes      | Aevo earned from current epoch (may change) Example: `1234.56`                                              |
| `staked`                      | string         | Yes      | If user has sAEVO Example: `true` Example: `True`                                                           |
| `airdropped_farm_boost_level` | string         | Yes      | airdropped farm boost level (from 1 to 5) Example: `4`                                                      |
| `random_farm_boost_eligible`  | string         | Yes      | Eligible for a random farm boost (only if airdropped farm boost or referee) Example: `true` Example: `True` |
| `staked_amount`               | string         | Yes      | User's staked sAEVO amount Example: `1`                                                                     |
| `aevo_earned_per_epoch`       | array\[object] | No       |                                                                                                             |
| `account_prelaunch_volumes`   | array\[object] | No       |                                                                                                             |
| `prelaunch_volumes`           | array\[object] | No       |                                                                                                             |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
